Bug 30956 - kernel dies on loading yenta module
kernel dies on loading yenta module
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-07 11:26 EST by Trond Eivind Glomsrxd
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-22 15:40:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -v on Satellite Pro 480CDT (1.66 KB, text/plain)
2001-07-10 15:55 EDT, Panic
no flags Details
dmesg with usb-ohci commented out in /etc/modules.conf (5.95 KB, text/plain)
2001-07-10 15:56 EDT, Panic
no flags Details

  None (edit)
Description Trond Eivind Glomsrxd 2001-03-07 11:26:42 EST
When installing on a Toshiba Satellite Pro 480CDT, the installer dies while
inserting the yenta_socket module from the PCMCIA driver disk.
Comment 1 Trond Eivind Glomsrxd 2001-03-07 15:22:52 EST
After some further work, I've discovered that yenta_socket blows up the machine
if, and only if, usb-ohci has already been added.
Comment 2 Michael K. Johnson 2001-03-07 16:55:42 EST
Pete, this is with the 2.4.2-0.1.22 kernel that has the irq fix
for yenta that fixes some toshiba and Dell laptops, so I am
wondering if ohci might be more directly involved.
Comment 3 Arjan van de Ven 2001-03-11 15:57:39 EST
ohci didn't survive slab-poison AT ALL, so maybe it corrupts something
Comment 4 Pete Zaitcev 2001-03-12 17:20:14 EST
Trond, a couple of questions:
1. Can you reproduce it without an installer?
2. Can you remind me, what kernel version is there,
was it 2.4.1-0.1.9?
Comment 5 Trond Eivind Glomsrxd 2001-03-12 17:25:16 EST
1. Yes. I did that by loading/unloading modules. Hence the conclusion about the
ohci driver

2. -22 - the qa-tree on 2000-03-07 (yes, the one from the day before as well)
Comment 6 Pete Zaitcev 2001-04-07 03:04:13 EDT
Trond, have you had a chance to try a non-poisoned kernel yet?
Comment 7 Trond Eivind Glomsrxd 2001-04-07 10:26:48 EDT
No, this is not a laptop I usually have access to. Glen dug it up for me along
with a couple of others. Glen, can you find it again?
Comment 8 Panic 2001-05-31 19:54:03 EDT
I ended up with this machine -- it is available for testing as necessary.  Stock
7.1 has the same problem. The latest rawhide kernel (2.4.3-7) and the latest
rawhide kernel-pcmcia-cs (3.1.24-4) do not help -- same issue.  Booting normally
gives this error (?) message:

PCI: No IRQ known for interrupt pin A of device 00:02.0. Please try using
PCI: No IRQ known for interrupt pin B of device 00:02.1. Please try using
Yenta IRQ list 06b8, PCI irq0
Socket status: 30000007

<boot locks up at this point>

Booting with "nousb pci=biosirq" yields this:

PCI: No IRQ known for interrupt pin A of device 00:02.0.
PCI: No IRQ known for interrupt pin B of device 00:02.1.
Yenta IRQ list 06b8, PCI irq0
Socket status: 30000007
Yenta IRQ list 0eb8, PCI irq0
Socket status 300000011

Which seems to work okay with an older pcnet_cs PCMCIA network card I have,
except for the occasional 'spurious interrupt" message that I get while using
the card.  Something that might be useful is that the load order matters; if you
add the ohci module *after* pcmcia is started, everything seems to work fine. 
I'll leave it running overnight to check -- feel free to grab the machine for a
few days if this interests you.
Comment 9 Pete Zaitcev 2001-06-07 00:40:50 EDT
May I have an output of lspci -v, and dmesg of a
working machine (where usb-ohci was loaded after the
start of pcmcia), please.
Comment 10 Panic 2001-07-10 15:46:57 EDT
forgot to CC: myself on this, sorry about the delay.  The problem still exists
in beta1.  I'll attach the files from beta1.

Comment 11 Panic 2001-07-10 15:55:55 EDT
Created attachment 23247 [details]
lspci -v on Satellite Pro 480CDT
Comment 12 Panic 2001-07-10 15:56:50 EDT
Created attachment 23248 [details]
dmesg with usb-ohci commented out in /etc/modules.conf
Comment 13 Panic 2001-07-11 16:11:15 EDT
pcmcia boot for an NFS install fails as well (at the "Initializing PCMICA
devices" screen, well before you've got a console), same solution.
Comment 14 Arjan van de Ven 2001-09-07 15:47:36 EDT
Please try changing the bios setting regarding "PCMCIA" to "PCIC" or "Cardbus"
but not "Auto"
Comment 15 Panic 2001-09-07 17:55:13 EDT
Changing the bios setting to PCIC-compatible gave this message on PCMCIA startup:

ds: no socket drivers loaded!

and PCMCIA did not come up (even though there was an OK on bootup).

Changing the bios setting to "Cardbus/16-bit"  ... worked. :)  Would someone
care to explain what the difference is?  Is "Auto-selected" some kind of PnP thing?
Comment 16 Pete Zaitcev 2002-02-22 15:39:57 EST
May we have the status with 2.4.9-21 ?
Also, this does not look like ohci issue anymore.
Can I close as "having a workaround in BIOS settings"?
Comment 17 Trond Eivind Glomsrxd 2002-02-22 16:00:08 EST
Probably. I don't have access to the machine, and glen/mdrew no longer work here.

Note You need to log in before you can comment on or make changes to this bug.